#!/bin/bash

mkdir -p ./chapitres

for section in {1..3}
do
    for chapitre in {1..4}
    do
        pandoc -F pandoc-minted -f markdown+fenced_code_attributes+tex_math_dollars -t latex --listings --top-level-division=chapter -i "chapitre_${section}_${chapitre}.md" -o "./chapitres/chapitre_${section}_${chapitre}.tex"
    done
done

pandoc -F pandoc-minted -f markdown+fenced_code_attributes+tex_math_dollars -t latex --listings --top-level-division=chapter -i "introduction.md" -o "./chapitres/introduction.tex"
pandoc -F pandoc-minted -f markdown+fenced_code_attributes+tex_math_dollars -t latex --listings --top-level-division=chapter -i "conclusion.md" -o "./chapitres/conclusion.tex"

bibtex main.aux
makeindex main.idx
pdflatex --shell-escape -synctex=1 -interaction=nonstopmode main.tex

